Listen 5000

<VirtualHost *:5000>
    Options +FollowSymLinks
    SSLEngine off
    UseCanonicalName On
    ServerName {{ openstack_ks_url }}

    WSGIDaemonProcess keystone-public processes=5 threads=1 user=keystone group=keystone display-name=%{GROUP}
    WSGIProcessGroup keystone-public
    WSGIScriptAlias / /usr/bin/keystone-wsgi-public
    WSGIApplicationGroup %{GLOBAL}
    WSGIPassAuthorization On
    LimitRequestBody 114688
    <IfVersion >= 2.4>
      ErrorLogFormat "%{cu}t %M"
    </IfVersion>
    ErrorLog /var/log/httpd/keystone.log
    CustomLog /var/log/httpd/keystone_access.log combined

    OIDCResponseType "code"
    OIDCClaimPrefix "OIDC-"
    OIDCClaimDelimiter ;
    OIDCScope "{{ oidc_scope }}"
    OIDCProviderMetadataURL {{ oidc_provider_metadata_url }}
    OIDCClientID {{ oidc_client_id }}
    OIDCClientSecret {{ oidc_client_secret }}
    OIDCCryptoPassphrase {{ oidc_crypto_passphrase }}
    OIDCRedirectURI {{ oidc_redirect_uri }}

    # OAuth for CLI access
    OIDCOAuthIntrospectionEndpoint {{ oidc_oauth_introspection_endpoint }}
    OIDCOAuthClientID {{ oidc_client_id }}
    OIDCOAuthClientSecret {{ oidc_client_secret }}

    # Increase Shm cache size for supporting long entitlements
    OIDCCacheShmEntrySizeMax {{ oidc_cache_shm_entry_size_max }}

    OIDCCacheType memcache
    OIDCMemCacheServers "{{ oidc_memcache_servers }}"
    OIDCXForwardedHeaders X-Forwarded-Proto
    OIDCPKCEMethod S256

    <Location ~ "{{ location_openid }}">
            AuthType openid-connect
            Require valid-user
    </Location>

    <Location ~ "{{ location_oauth }}">
            Authtype oauth20
            Require valid-user
    </Location>

    <Directory /usr/bin>
        <IfVersion >= 2.4>
            Require all granted
        </IfVersion>
        <IfVersion < 2.4>
            Order allow,deny
            Allow from all
        </IfVersion>
    </Directory>
</VirtualHost>


Alias /identity /usr/bin/keystone-wsgi-public
<Location /identity>
    SetHandler wsgi-script
    Options +ExecCGI

    WSGIProcessGroup keystone-public
    WSGIApplicationGroup %{GLOBAL}
    WSGIPassAuthorization On
</Location>

